www.cendio.com
Bug 7377 - Can't use pre-selected public key with Windows 64-bit client
: Can't use pre-selected public key with Windows 64-bit client
Status: CLOSED FIXED
: ThinLinc
Client
: trunk
: PC Windows
: P2 Normal
: 4.11.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2019-09-04 11:04 by
Modified: 2019-10-03 12:58 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2019-09-04 11:04:53
Using public key authentication on the Windows ThinLinc client you will get an
error saying:

"The selected key can't be read or belongs to someone else. Please try again
with a different key file."

This happens when the client is started with a public key file already chosen.
If you selected a key file the last time you ran the client it will be saved
for the next time you start the client.
------- Comment #3 From cendio 2019-10-02 11:31:32 -------
Tested this and it works for Windows 10.
------- Comment #4 From cendio 2019-10-03 12:58:12 -------
Verified that the problem existed with 4.10.1, but was actually only able to
reproduce it when running the 64-bit client on Windows. We tried multiple times
with the x86 client and it never showed the problem.

The fix looks good, however. Verified that a pre-selected file always worked
fine using build 6255.